# Configuration

## Environment variables

To change the environment variables edit the `.env` file.

| Name                                  | Type     | Description                                                                          |
| ------------------------------------- | -------- | ------------------------------------------------------------------------------------ |
| `URL`                                 | `String` | The webroot of the application to base of links and routing                          |
| `POSTGRES_USER`                       | `String` | Database user name                                                                   |
| `POSTGRES_PASSWORD`                   | `String` | Database password                                                                    |
| `BACKEND_URL`                         | `String` | Backend webroot (= `URL`)                                                            |
| `BACKEND_API_GRAPHQL_PLAYGROUND`      | `Bool`   | Enables GraphQL playground (automatically enabled when compiled in development mode) |
| `BACKEND_API_JWT_SECRET`              | `String` | Password to encrypt all authentication tokens with                                   |
| `BACKEND_API_JWT_EXPIRATION`          | `Int`    | Expiration time of authentication tokens in minutes                                  |

## Compile time

### Backend

Setting the `development` flag with `-Ddevelopment` flag on compiling the backend will result in being able to debug the API endpoints at `/graphql?development=true`. Also automatically enables the GraphQL playground at `/graphql`.
